﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.Editors;
using Infragistics.Windows;

namespace EditorsUndoRedo
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            xamComboEditor1.ItemsSource = new List<string> { "Item 1", "Item 2", "Item 3" };
        }

        void ComboEditor_EditModeStarted(object sender, Infragistics.Windows.Editors.Events.EditModeStartedEventArgs e)
        {
            (Utilities.GetDescendantFromName(sender as DependencyObject, "PART_EditableTextBox") as TextBox).IsUndoEnabled = false;
        }

        void NumericEditor_ExecutingCommand(object sender, Infragistics.Windows.Controls.Events.ExecutingCommandEventArgs e)
        {
            if (e.Command.Name.Equals("Undo") || e.Command.Name.Equals("Redo"))
            {
                e.Cancel = true;
            }
        }
    }
}
